## yforth 0.1beta

=== Makefile ===
OPTIMIZE = -O2
CC = gcc
MATHLIB = -lm

OBJECTS = block.o blocke.o core.o coree.o double.o doublee.o exceptio.o \
	facility.o file.o filee.o float.o floate.o locals.o localse.o \
	memall.o search.o searche.o string.o tools.o toolse.o \
	udio.o vm.o ycore.o yfinit.o yforth.o yfvinit.o  

INCLUDES = block.h blocke.h config.h core.h coree.h defaults.h double.h \
	doublee.h errors.h exceptio.h facility.h file.h filee.h float.h \
	floate.h locals.h localse.h macro.h memall.h search.h searche.h \
	string.h tools.h toolse.h udio.h ver.h ycore.h yforth.h 

all:
	make div
	make yforth

yforth: $(OBJECTS)
	$(CC) $(MATHLIB) -o yforth $(OBJECTS)

div: division.c
	$(CC) -o div division.c
	div > div.h 

.c.o: 	 
	$(CC) -c -o $@ $(OPTIMIZE) $<

clean:
	rm -f *.o yforth div.h div

## yforth 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-OPTIMIZE = -O2
 CC = gcc
 MATHLIB = -lm
 
@@ -12,19 +11,17 @@
 	floate.h locals.h localse.h macro.h memall.h search.h searche.h \
 	string.h tools.h toolse.h udio.h ver.h ycore.h yforth.h 
 
-all:
-	make div
-	make yforth
+yforth: div.h $(OBJECTS)
+	$(CC) -o yforth $(LDFLAGS) $(OBJECTS) $(MATHLIB)
 
-yforth: $(OBJECTS)
-	$(CC) $(MATHLIB) -o yforth $(OBJECTS)
-
+div.h: div
+	./div 
+	
 div: division.c
-	$(CC) -o div division.c
-	div > div.h 
+	$(CC) -o div $(CFLAGS) $(CPPFLAGS) division.c
 
 .c.o: 	 
-	$(CC) -c -o $@ $(OPTIMIZE) $<
+	$(CC) -c -o $@ $(CFLAGS) $(CPPFLAGS) $<
 
 clean:
 	rm -f *.o yforth div.h div

=== debian/changelog ===
yforth (0.2.1-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:48 +0000

yforth (0.2.1-1) unstable; urgency=low

  * new upstream version under GPLv3, closes: #687348
  * update homepage field in control, closes: #688616
  * move to use of dh in rules, compat 9 to enable hardening

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Oct 2012 09:02:47 -0600

yforth (0.1beta-23) unstable; urgency=low

  * patch from Michael Bienia via Loc Minier that moves $(MATHLIB) to the 
    end of the linker call, closes: #648194

 -- Bdale Garbee <bdale@gag.com>  Wed, 09 Nov 2011 10:22:29 -0700

yforth (0.1beta-22) unstable; urgency=low

  * add Vcs entries to the control file
  * change from explicit architecture list back to arch 'any', since most
    current architectures should work, closes: 645642

 -- Bdale Garbee <bdale@gag.com>  Mon, 17 Oct 2011 22:37:52 -0400

yforth (0.1beta-21) unstable; urgency=low

  * add hurd-i386 to arch list, closes: #482909
  * update copyright file to reflect current upstream status
  * resolve all lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Feb 2009 12:11:17 -0700

yforth (0.1beta-20) unstable; urgency=low

  * add armeb and armel to architecture list, closes: #408803

 -- Bdale Garbee <bdale@gag.com>  Sun, 18 Feb 2007 15:14:03 -0800

yforth (0.1beta-19) unstable; urgency=low

  * add kfreebsd-amd64 to architecture list, closes: #361634
  * avoid duplicate definition for LITTLE_ENDIAN

 -- Bdale Garbee <bdale@gag.com>  Mon, 21 Aug 2006 00:24:12 -0600

yforth (0.1beta-18) unstable; urgency=low

  * add kfreebsd-i386 to list of architectures to build on, closes: #315050
  * move to fresher debhelper compat level, and clean up rules a bit

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Jul 2005 15:30:47 +0300

yforth (0.1beta-17) unstable; urgency=low

  * update priority to optional to match override file

 -- Bdale Garbee <bdale@gag.com>  Sat, 30 Apr 2005 17:26:55 -0600

yforth (0.1beta-16) unstable; urgency=low

  * add ppc64 to control file, closes: #301054

 -- Bdale Garbee <bdale@gag.com>  Sat, 30 Apr 2005 00:13:11 -0600

yforth (0.1beta-15) unstable; urgency=low

  * add amd64 to control file, closes: #252783

 -- Bdale Garbee <bdale@gag.com>  Wed,  9 Jun 2004 13:23:55 -0600

yforth (0.1beta-14) unstable; urgency=low

  * patch from David N. Welton to make things work on big-endian machines
    like powerpc, closes: #96207
  * a few cleanups to make lintian happier

 -- Bdale Garbee <bdale@gag.com>  Mon,  7 May 2001 10:45:21 -0600

yforth (0.1beta-13) unstable; urgency=low

  * patch from Chris Chimelis to work on alpha architecture, closes: #65407

 -- Bdale Garbee <bdale@gag.com>  Sun, 18 Jun 2000 21:57:21 -0600

yforth (0.1beta-12) unstable; urgency=low

  * lose the dh_du call, closes: #51484
  * update to latest policy

 -- Bdale Garbee <bdale@gag.com>  Sun,  5 Dec 1999 09:55:40 -0700

yforth (0.1beta-11) frozen unstable; urgency=low

  * Hartmut reminds me that yforth compiles and runs on powerpc as well.

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Jan 1999 21:02:28 -0700

yforth (0.1beta-10) frozen unstable; urgency=low

  * update control file to account for yforth not working on 64 bit machines.
    Instead of 'any', specify i386/m68k/sparc/arm.  I *think* all of those
    should work.  Update documentation to include my best contact info for 
    the upstream author, and acknowledge that there is no longer an upstream 
    site for this package.  Closes 32413.

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Jan 1999 09:18:24 -0700

yforth (0.1beta-9) frozen unstable; urgency=low

  * return 0 on successful completion of main() in division.c, closes 32217

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Jan 1999 10:34:14 -0700

yforth (0.1beta-8) frozen unstable; urgency=low

  * fix a problem in the Makefile, closes 30065.

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Dec 1998 00:18:52 -0700

yforth (0.1beta-7) frozen unstable; urgency=low

  * patch to Makefile from James Troup so '.' doesn't need to be in PATH,
    closes 20990

 -- Bdale Garbee <bdale@gag.com>  Sat, 11 Apr 1998 12:37:39 -0600

yforth (0.1beta-6) frozen unstable; urgency=low

  * fix typos in description, closes 19007.

 -- Bdale Garbee <bdale@gag.com>  Fri,  3 Apr 1998 22:20:45 -0700

yforth (0.1beta-5) unstable; urgency=low

  * change from debmake to debhelper
  * fix errors and warnings from lintian

 -- Bdale Garbee <bdale@gag.com>  Mon,  9 Feb 1998 22:17:38 -0700

yforth (0.1beta-4) unstable; urgency=low

  * libc6

 -- Bdale Garbee <bdale@gag.com>  Thu,  4 Sep 1997 03:19:14 -0600

yforth (0.1beta-3) unstable; urgency=low

  * Luca accepted my patch, and sent me back some other tweaks...

 -- Bdale Garbee <bdale@gag.com>  Wed, 5 Feb 1997 08:08:58 -0700

yforth (0.1beta-2) unstable; urgency=low

  * Hack in "#!" as an alias for "\" to allow yforth to be used as a script
    interpreter.

 -- Bdale Garbee <bdale@gag.com>  Sun, 2 Feb 1997 12:07:13 -0700

yforth (0.1beta-1) unstable; urgency=low

  * Initial Release.

 -- Bdale Garbee <bdale@gag.com>  Sat, 1 Feb 1997 20:18:18 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: yforth
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.di.unito.it/~padovani/software.html
Vcs-Git: git://git.gag.com/debian/yforth
Vcs-Browser: http://git.gag.com/?p=debian/yforth

Package: yforth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small freeware Forth environment in ANSI C
 yForth? is an interestingly small implementation of Forth for Linux.  It
 suffers several deficiencies.  For general Forth programming or learning 
 under Linux, yForth? is not the best choice.
 .
 From the author's README:
 .
 yForth? is a Forth environment written entirely in ANSI C, making it 
 extremely portable. The first thing I want to tell you about yForth? is
 that it seems a joke compared to other systems such as gForth or PFE.
 .
 Nevertheless, you could find yForth? nice, in which case you're invited to 
 explore yForth?
 .
 It's yours, you can make anything you want with it. If you want an explanation
 of the words provided by yForth? please refer to the draft of ANS Forth or
 something equivalent.  The Net will help you.
 .
 Do not expect the prompt "ok" to come up when you run yForth?, the standard
 says that "ok" shall be printed AFTER every successful command execution...
